## org.codehaus.groovy.grails.web.pages
Class FastStringWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.codehaus.groovy.grails.web.util.GrailsPrintWriter
                  org.codehaus.groovy.grails.web.pages.FastStringWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

Direct Known Subclasses:
  GroovyPageTagWriter

    public class FastStringWriter

extends GrailsPrintWriter

Java's default StringWriter uses a StringBuffer which is synchronized. This implementation doesn't use synchronization

Since:
  1.1

  Created: Jan 20, 2009
Author:
  Graeme Rocher, Lari Hotari

Field Summary

Fields inherited from class org.codehaus.groovy.grails.web.util.GrailsPrintWriter
`allowUnwrappingOut, out, trouble`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`` `FastStringWriter()`
`` `FastStringWriter(int initialChunkSize)`
`protected` `FastStringWriter(Object o)`

Method Summary
`StreamCharBuffer` `getBuffer()`
`Reader` `getReader()`
`String` `getValue()`
`String` `toString()`

Methods inherited from class org.codehaus.groovy.grails.web.util.GrailsPrintWriter

`append, append, append, append, append, checkError, clone, flush, getFinalTarget, getOut, handleIOException, isAllowUnwrappingOut, isFinalTargetHere, isUsed, leftShift, leftShift, leftShift, plus, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setFinalTargetHere, setUsed, write, write, write, write, write, write, write`

Methods inherited from class java.io.PrintWriter
`close, format, format, printf, printf, setError`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FastStringWriter

    public FastStringWriter()

### FastStringWriter

    public FastStringWriter(int initialChunkSize)

### FastStringWriter

    protected FastStringWriter(Object o)

Method Detail

### getBuffer

    public StreamCharBuffer getBuffer()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getValue

    public String getValue()

### getReader

    public Reader getReader()

Copyright (c) 2005-2009 The Grails project